#ifndef ISUMACRUNNER_H
#define ISUMACRUNNER_H

#include <QString>
#include <QtPlugin>

class QWidget;
class QCheckBox;

class ISumacRunner
{
public:
    virtual ~ISumacRunner() {}

    virtual bool setup(QWidget* paramsWidget, QList<QCheckBox*> excludeCheckBoxes) = 0;
    virtual bool isChecked() = 0;
    virtual QString prepareCommand(const QString& cmd) = 0;
};

Q_DECLARE_INTERFACE(ISumacRunner,
                    "ru.rusbitech.fly-run.ISumacRunner")

#endif // ISUMACRUNNER_H
